<wms-radiobtn>
<input type="radio" id="{id}" name="{group}" value="{value}" checked="{checked}">
<label for="{id}" class="radio">{label}</label>
<script>
	this.id = opts.tagid;
	this.group = opts.group;
	this.value = opts.value;
	this.label = opts.label;
	this.checked = (opts.checkflg == "true");

	/**
	 * マウント時の処理
	 */
	this.on('updated', function() {
		setDataObj(opts.tagid, opts);
	});
	
	/**
	 * キーがデータ属性に使用するキーかどうか
	 */
	function isDataAttrKey(key) {
		return key.startsWith('data-');
	}
	
	/**
	 * データ属性を設定する
	 */
	function setDataObj(id, val, forcingFlg) {
		Object.keys(val).forEach(function(key) {
			if (isDataAttrKey(camelToSnake(key, '-')) || forcingFlg) {
				var v = val[key];
				if (typeof v === 'object') {
					setDataObj(id, v, true);
				} else {
					$('#' + id).attr(forcingFlg ? 'data-' + key : camelToSnake(key, '-'), v);
				}
			}
		});
	}
	
</script>
</wms-radiobtn>
